Details

    • Type: Epic
    • Status: Closed
    • Priority: High
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: Pollux
    • Component/s: Documentation, Upgrading
    • Labels:
    • Epic Name:
      Upgrade [DX]

      Description

      Epic is first about upgradability [DX] of eZ Publish/Platform and most of the issues are inherited from Symfony Standard*.
      Secondly we want to simplify upgrades a lot, and want to see if we can automate more of it for upgrades and updates.

      * Upgrade conflicts on any distribution file user is invited to edit basically:

      • Bundle inheritance to simplify bundle installs and upgrade
      • composer.json - extends support
      • multi kernel support to avoid upgrade conflicts on Kernel and enable multi site: EZP-22952 (See also App Layout: EZP-24265)
      • upgrade conflicts on yml files

      For web/app.php we solved it by having a generic one that is allowed to be extended, so should also find ways to solve the others in eZ Platform or in Symfony itself.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                andre.romcke@ez.no André Rømcke
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: